State (Java Platform SE 8 )
Keywords: org.omg.PortableServer.POAManagerPackage.State class
Date: 2015-05-24

org.omg.PortableServer.POAManagerPackage

## Class State

- java.lang.Object
- - org.omg.PortableServer.POAManagerPackage.State

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class State
      extends Object
      implements IDLEntity

  Specifies the states for the POAManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_ACTIVE`
    `static int` | `_DISCARDING`
    `static int` | `_HOLDING`
    `static int` | `_INACTIVE`
    `static State` | `ACTIVE`
    `static State` | `DISCARDING`
    `static State` | `HOLDING`
    `static State` | `INACTIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `State(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static State` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _HOLDING

          public static final int _HOLDING

      See Also:
        Constant Field Values

    - #### HOLDING

          public static final State HOLDING

    - #### _ACTIVE

          public static final int _ACTIVE

      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final State ACTIVE

    - #### _DISCARDING

          public static final int _DISCARDING

      See Also:
        Constant Field Values

    - #### DISCARDING

          public static final State DISCARDING

    - #### _INACTIVE

          public static final int _INACTIVE

      See Also:
        Constant Field Values

    - #### INACTIVE

          public static final State INACTIVE

  - ### Constructor Detail

    - #### State

          protected State(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static State from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.